; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Ensure a shotgun and SMG always spawn in the room near the start
modify:
{
	match:
	{
		"hammerid" "1662914"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "1662912"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block standing under a sign at the start to avoid infected
{
	"classname" "env_physics_blocker"
	"origin" "387 64 -314"
	"mins" "-15 -22 -63"
	"maxs" "15 22 63"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the awning on the left near saferoom
{
	"classname" "env_physics_blocker"
	"origin" "192 -436 -44"
	"mins" "-16 -128 -188"
	"maxs" "16 128 188"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the burning building near saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-427 -128 -34"
	"mins" "-347.5 -192 -178"
	"maxs" "347.5 192 178"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-404 256 -39"
	"mins" "-192 -192 -127"
	"maxs" "192 192 217"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the roof next to the bar
{
	"classname" "env_physics_blocker"
	"origin" "-1454 -1470 134"
	"mins" "-258 -194 -187.5"
	"maxs" "258 194 187.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the roof of the blue building opposite the bar
{
	"classname" "env_physics_blocker"
	"origin" "-592 -1664 59"
	"mins" "-144 -384 -112.5"
	"maxs" "144 384 112.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the small roof before the alley
{
	"classname" "env_physics_blocker"
	"origin" "-1968 -2622 61"
	"mins" "-180 -258 -260.5"
	"maxs" "180 258 260.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the roofs around the alley
{
	"classname" "env_physics_blocker"
	"origin" "-1952 -1760 124"
	"mins" "-128 -256 -196"
	"maxs" "128 256 196"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2368 -1728 59"
	"mins" "-201 -329 -140.5"
	"maxs" "201 329 140.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2416 -1312 1"
	"mins" "-144 -96 -200.5"
	"maxs" "144 96 200.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the wall after the kitchen
{
	"classname" "env_physics_blocker"
	"origin" "-3208 -240 -52"
	"mins" "-10 -336 -188"
	"maxs" "10 336 188"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block area in saferoom above stairs from being accessed via warping / noclip to prevent the round from ending
{
	"classname" "env_physics_blocker"
	"origin" "-4016 -1384 -88"
	"mins" "-240 -40 -64"
	"maxs" "240 40 64"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block stuck spot on roof of blue building opposite the bar
{
	"classname" "env_physics_blocker"
	"origin" "-384 -2054 108"
	"mins" "-64 -6 -36"
	"maxs" "64 6 36"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Block items from falling down the small gap in saferoom
{
	"classname" "env_physics_blocker"
	"origin" "676 664 -493"
	"mins" "-4 -152 -11"
	"maxs" "4 152 11"
	"boxmins" "-4 -152 -11"
	"boxmaxs" "4 152 11"
	"initialstate" "1"
	"BlockType" "4"
}
{
	"classname" "env_physics_blocker"
	"origin" "667 818 -379"
	"mins" "-13 -2 -103"
	"maxs" "13 2 103"
	"boxmins" "-13 -2 -103"
	"boxmaxs" "13 2 103"
	"initialstate" "1"
	"BlockType" "4"
}
; --- Clipping at top of ramp in saferoom to prevent getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "776 46 -374"
	"mins" "-44 -3 -4"
	"maxs" "44 3 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on trash bags by saferoom to stop players getting stuck as much
{
	"classname" "env_physics_blocker"
	"origin" "451 199 -362"
	"mins" "-69 -29 -14"
	"maxs" "69 29 14"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "440 214 -338"
	"mins" "-52 -14 -10"
	"maxs" "52 14 10"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "447 194 -343"
	"mins" "-27 -6 -5"
	"maxs" "27 6 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "459 220 -324"
	"mins" "-13 -8 -4"
	"maxs" "13 8 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on group of 3 plant pots that behave like ice
{
	"classname" "env_physics_blocker"
	"origin" "76 -176 -341.5"
	"mins" "-20 -21 -1"
	"maxs" "20 21 1"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "76 -55 -341.5"
	"mins" "-20 -21 -1"
	"maxs" "20 21 1"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "77 74 -341.5"
	"mins" "-20 -21 -1"
	"maxs" "20 21 1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on bodies behind fence to the left near the start
{
	"classname" "env_physics_blocker"
	"origin" "49 -864 -371"
	"mins" "-118 -32 -7"
	"maxs" "118 32 7"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "49 -862 -358"
	"mins" "-116 -30 -7"
	"maxs" "116 30 7"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Planks behind fences to prevent SI becoming perma-stuck
{
	"classname" "prop_dynamic"
	"origin" "-75 -2738 -328"
	"angles" "0 0 35"
	"model" "models/props_swamp/plank001b_192.mdl"
	"solid" "6"
	"disableshadows" "1"
}
filter:
; --- Remove table and chairs on the balcony opposite the saferoom ramp
{
	"hammerid" "472733"
}
{
	"hammerid" "472741"
}
{
	"hammerid" "1064146"
}
; --- Remove a table in the bar that can fall over when spawning and blocks the doorway
{
	"hammerid" "461272"
}
; --- Fix LOS on jukebox in bar
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_jukebox_bar,AddOutput,mins -18 -11 -32,0,-1"
	"OnMapSpawn" "losfix_jukebox_bar,AddOutput,maxs 18 11 32,0,-1"
	"OnMapSpawn" "losfix_jukebox_bar,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-1492 -1684 -344"
	"targetname" "losfix_jukebox_bar"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1492 -1684 -344"
	"mins" "-18.1 -11.1 -32.1"
	"maxs" "18.1 11.1 32.1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Add missing glass to vehicles
{
	"classname" "prop_dynamic"
	"origin" "-840 -1664 -375"
	"angles" "0 15 0"
	"model" "models/props_vehicles/cara_82hatchback_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Props to spawn behind on the balcony opposite the saferoom ramp
{
	"classname" "prop_dynamic"
	"origin" "961 -351 -368"
	"angles" "0 0 0"
	"model" "models/props_foliage/urban_pot_xlsquare01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "962 -350 -368"
	"angles" "0 0 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fence cover to the left by the saferoom
{
	"classname" "prop_dynamic"
	"origin" "119 -829 -376"
	"angles" "0 90 0"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Props in the restaurant after the kitchen
{
	"classname" "prop_dynamic"
	"origin" "-2876 54 -368"
	"angles" "0 0 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2916 -391 -368"
	"angles" "0 0 0"
	"model" "models/props_downtown/pooltable.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2916 -375 -322"
	"angles" "0 0 0"
	"model" "models/props_junk/cardboard_box03_static.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2642 -116 -336"
	"angles" "0 180 0"
	"model" "models/props_unique/jukebox01_body.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2642 -116 -336"
	"angles" "0 180 0"
	"model" "models/props_unique/jukebox01.mdl"
	"solid" "0"
	"disableshadows" "1"
	"DefaultAnim" "idle"
}
{
	"classname" "prop_dynamic"
	"origin" "-2642 -104 -324"
	"angles" "0 180 0"
	"model" "models/props_unique/jukebox01_menu.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix LOS on added jukebox
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_jukebox_restaurant,AddOutput,mins -18 -11 -32,0,-1"
	"OnMapSpawn" "losfix_jukebox_restaurant,AddOutput,maxs 18 11 32,0,-1"
	"OnMapSpawn" "losfix_jukebox_restaurant,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-2642 -116 -336"
	"targetname" "losfix_jukebox_restaurant"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2642 -116 -336"
	"mins" "-18.1 -11.1 -32.1"
	"maxs" "18.1 11.1 32.1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prop to get on end saferoom roof
{
	"classname" "prop_dynamic"
	"origin" "-4216 -1082 -130"
	"angles" "40 90 0"
	"model" "models/props_highway/plywood_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================
filter:
; --- Remove F18 flyby at the start of the map
{
	"targetname" "f18_flyby"
}


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
filter:
; --- Remove the clip that surrounds the saferoom blocking survivors from going in the water
{
	"hammerid" "1633358"
}
; --- Remove Valve's commentary blockers so we can replace them with our own
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "env_player_blocker,Kill,,30,-1"
}
; --- Re-add Valve's blockers copied directly from c5m1_waterfront_commentary.txt, excluding the ones we don't want
; --- Block survivors from jumping over a wall near the start to get on the kitchen
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "16 256 400"
	"mins" "0 0 0"
	"origin" "-1706.12 -248 -243.673"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "128 128 128"
	"mins" "0 0 0"
	"origin" "-2140 -288 -294.972"
	"mapupdate" "1"
}
; --- Block survivors from getting out of bounds behind the kitchen - REMOVED (redundant)
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "48 48 128"
;	"mins" "0 0 0"
;	"origin" "-3136 464 -264.871"
;	"mapupdate" "1"
;}
; --- Clip on blocked route in the bar (never enabled in VS by default)
{
	"classname" "env_physics_blocker"
	"BlockType" "0"
	"initialstate" "0"
	"maxs" "4 28 56"
	"mins" "-4 -28 -56"
	"targetname" "brush_route_cafe"
	"origin" "-1692 -1988 -321"
	"mapupdate" "1"
}
; --- Block survivors from getting on the building by the overturned truck
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "6 512 256"
	"mins" "-4 -384 -80"
	"origin" "-662 -880 -100.086"
	"mapupdate" "1"
}
; --- Block survivors from getting out of bounds by the end saferoom
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "24 8 384"
	"mins" "-24 -8 -80"
	"origin" "-3832 -1144 -250"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "640 8 128"
	"mins" "-660 -80 -80"
	"origin" "-3600 -1245 8"
	"mapupdate" "1"
}
; --- Block players getting stuck out of bounds behind fence by end saferoom - CHANGED TO SURVIVOR ONLY
{
	"classname" "env_physics_blocker"
	"initialstate" "1"
	"maxs" "176 32 256"
	"mins" "-176 -32 -256"
	"origin" "-4080 -1120 -120"
	"mapupdate" "1"
	"BlockType" "1" ; --- Type was originally unspecified, blocking infected too
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================
; --- Disable jukebox to prevent trolling
modify:
{
	match:
	{
		"targetname" "jukebox_button"
	}
	replace:
	{
		"spawnflags" "33"
	}
}


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
; --- Adjust infected ladder to the right of saferoom to stop players getting stuck on the garage door
modify:
{
	match:
	{
		"hammerid" "465104"
	}
	insert:
	{
		"origin" "15 0 0"
	}
}
add:
; --- Infected ladder to get from the lower section of roof to the upper section on the left of the saferoom
{
	"classname" "func_simpleladder"
	"origin" "344 3 120"
	"angles" "0 0 0"
	"model" "*13"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on roof to the right of the waterfront sign near the start
{
	"classname" "func_simpleladder"
	"origin" "-8 1076.90 120"
	"angles" "0 0 0"
	"model" "*4"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to get on the roof of the bar building
{
	"classname" "func_simpleladder"
	"origin" "-422 -2101 341"
	"angles" "0 0 0"
	"model" "*18"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-733 -2101 341"
	"angles" "0 0 0"
	"model" "*18"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on roof with fire escape behind the fence and to stop players getting perma-stuck
{
	"classname" "func_simpleladder"
	"origin" "-618 -3588 171"
	"angles" "0 0 0"
	"model" "*17"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to get on the buildings above the corner by the bar
{
	"classname" "func_simpleladder"
	"origin" "-3476.94 -3646.05 44"
	"angles" "0 180 0"
	"model" "*5"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-771 -1790 377"
	"angles" "0 90 0"
	"model" "*18"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get back over the short wall before the alley
{
	"classname" "func_simpleladder"
	"origin" "-415 -2519 -35"
	"angles" "0 90 0"
	"model" "*17"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the pink building before the alley
{
	"classname" "func_simpleladder"
	"origin" "-3191 -2274 193"
	"angles" "0 270 0"
	"model" "*17"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb over the wall at the restaurant exit
{
	"classname" "func_simpleladder"
	"origin" "-111.5 2106 -8"
	"angles" "0 0 0"
	"model" "*27"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-6304.5 -2353 -8"
	"angles" "0 180 0"
	"model" "*27"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to stop players getting perma-stuck behind a fence next to the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "-1347 153 -28"
	"angles" "0 0 0"
	"model" "*1"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  KASKA|KREVIK FILTERING  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================
;----PILLS IN SAFEROOM REMOVAL----;
filter:
{
	"hammerid" "1662834"
}
filter:
{
	"hammerid" "1662836"
}
filter:
{
	"hammerid" "1662840"
}
filter:
{
	"hammerid" "1662828"
}
filter:
{
	"hammerid" "1662830"
}
filter:
{
	"hammerid" "1662832"
}